aboutsummaryrefslogtreecommitdiffstats
path: root/meson/ci/ciimage/cuda
diff options
context:
space:
mode:
authorAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
committerAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
commitaf1a266670d040d2f4083ff309d732d648afba2a (patch)
tree2fc46203448ddcc6f81546d379abfaeb323575e9 /meson/ci/ciimage/cuda
parente02cda008591317b1625707ff8e115a4841aa889 (diff)
Add submodule dependency filesHEADmaster
Change-Id: Iaf8d18082d3991dec7c0ebbea540f092188eb4ec
Diffstat (limited to 'meson/ci/ciimage/cuda')
-rw-r--r--meson/ci/ciimage/cuda/image.json8
-rwxr-xr-xmeson/ci/ciimage/cuda/install.sh21
2 files changed, 29 insertions, 0 deletions
diff --git a/meson/ci/ciimage/cuda/image.json b/meson/ci/ciimage/cuda/image.json
new file mode 100644
index 000000000..f422723c1
--- /dev/null
+++ b/meson/ci/ciimage/cuda/image.json
@@ -0,0 +1,8 @@
+{
+ "base_image": "archlinux:latest",
+ "args": ["--only", "cuda"],
+ "env": {
+ "CI": "1",
+ "MESON_CI_JOBNAME": "linux-cuda-gcc"
+ }
+}
diff --git a/meson/ci/ciimage/cuda/install.sh b/meson/ci/ciimage/cuda/install.sh
new file mode 100755
index 000000000..0d412e00c
--- /dev/null
+++ b/meson/ci/ciimage/cuda/install.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+source /ci/common.sh
+
+pkgs=(
+ python python-pip
+ ninja gcc gcc-objc git cmake
+ cuda zlib pkgconf
+)
+
+PACMAN_OPTS='--needed --noprogressbar --noconfirm'
+
+pacman -Syu $PACMAN_OPTS "${pkgs[@]}"
+install_minimal_python_packages
+
+# Manually remove cache to avoid GitHub space restrictions
+rm -rf /var/cache/pacman
+
+echo "source /etc/profile.d/cuda.sh" >> /ci/env_vars.sh